Retrieve Cases

Returns a list of Cases applicable to the scope of the API auth token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Filter via first name. Wildcards supported. eg. first_name=B% will return all cases beginning with 'B'. Do not use quotations like first_name="B%".

string

Filter via last name. Wildcards supported. eg. last_name=B% will return all cases beginning with 'B'. Do not use quotations like last_name="B%".

string

Filter via email. Wildcards supported. eg. email=%@gmail.com will return all cases with an email from gmail. Do not use quotations like email="%@gmail.com".

string

Filter via Date of Birth. eg. date_of_birth=1970-06-15 will return all cases with a Date of Birth of June 15th, 1970. Do not use quotations like date_of_birth=1970-06-15". Wildcards supported only for YYYY-MM-DD format - eg date_of_birth=1970% or date_of_birth=2000-05%

integer

Filter via Entry Agent by ID. Will return all cases entered by the specified agent.

integer

Filter via last Modification Agent by ID. Will return all cases that were last modified by the specified agent.

integer

Filter via household by ID. Will return all cases that belong to the specified household.

integer

Filter via import ID. Will return all cases with the specified import ID.

boolean

Filter via Head of Household status. Will return all cases matching supplied HoH Status. eg. head_of_household=false will return non-HoH cases.

string

Filter via Entry Date. Will return all cases entered before the date. Accepts YYYY-MM-DD format. eg. entry_date_before=2023-11-30 will return all cases from before November 30th, 2023. Can be combined with entry_date_after.

string

Filter via Entry Date. Will return all cases entered after the date. Accepts YYYY-MM-DD format. eg. entry_date_after=2023-11-01 will return all cases from after November 1st, 2023. Can be combined with entry_date_before.

string

Filter via last Modification Date. Will return all cases modified before the date. Accepts YYYY-MM-DD format. eg. mod_date_before=2023-11-30 will return all cases last modified before November 30th, 2023. Can be combined with mod_date_after.

string

Filter via last Modification Date. Will return all cases modified after the date. Accepts YYYY-MM-DD format. eg. mod_date_after=2023-11-01 will return all cases last modified after November 1st, 2023. Can be combined with mod_date_before.

date-time

Return records entered on or after this date/datetime. Cannot be combined with entry_date_after. Accepted formats: ISO 8601 (eg. 2026-05-01T00:00:00 or 2026-05-01).

date-time

Return records entered on or before this date/datetime. Cannot be combined with entry_date_before. Accepted formats: ISO 8601 (eg. 2026-05-31T23:59:59 or 2026-05-31).

date-time

Return records last modified on or after this date/datetime. Cannot be combined with mod_date_after. Accepted formats: ISO 8601 (eg. 2026-05-01T00:00:00 or 2026-05-01).

date-time

Return records last modified on or before this date/datetime. Cannot be combined with mod_date_before. Accepted formats: ISO 8601 (eg. 2026-05-31T23:59:59 or 2026-05-31).

string

Order results by a field name. Prefix with - for descending order. eg. order_by=mod_date for ascending or order_by=-mod_date for descending. Must be a valid field on the resource; an invalid field returns a 400 error.

boolean

Filter by deceased status. Returns cases matching the supplied boolean value.

integer

Filter by detail group ID. Must supply integer value.

string

Filter via middle name. Wildcards supported. e.g. middle_name=B% will return all records beginning with 'B'. Do not use quotations like middle_name="B%".

string

Filter via suffix. Wildcards supported. e.g. suffix=B% will return all records beginning with 'B'. Do not use quotations like suffix="B%".

string

Filter via nickname. Wildcards supported. e.g. nick_name=B% will return all records beginning with 'B'. Do not use quotations like nick_name="B%".

string

Filter via maiden name. Wildcards supported. e.g. maiden_name=B% will return all records beginning with 'B'. Do not use quotations like maiden_name="B%".

string

Filter via social security number. Wildcards supported. e.g. ss_number=B% will return all records beginning with 'B'. Do not use quotations like ss_number="B%".

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json